PETSc version 3.15.5
Fix/Edit manual page

# MatPartitioningDestroy

Destroys the partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningDestroy(MatPartitioning *part)

Collective on Partitioning

### Input Parameters

| part | - the partitioning context

### See Also

MatPartitioningCreate()

### Level

beginner

### Location

src/mat/partition/partition.c

### Examples

src/mat/tutorials/ex11.c.html
src/mat/tutorials/ex15.c.html
src/mat/tutorials/ex17.c.html
src/mat/tutorials/ex15f.F90.html
src/mat/tutorials/ex17f.F90.html
src/ksp/ksp/tutorials/ex64.c.html

### Implementations

MatPartitioningDestroy_Chaco in src/mat/partition/impls/chaco/chaco.c
MatPartitioningDestroy_Hierarchical in src/mat/partition/impls/hierarchical/hierarchical.c
MatPartitioningDestroy_Party in src/mat/partition/impls/party/party.c
MatPartitioningDestroy_Parmetis in src/mat/partition/impls/pmetis/pmetis.c
MatPartitioningDestroy_PTScotch in src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages